Subject: Re: bug#34765: 26.1; with-temp-buffer should not run buffer-list-update-hook

From: Alexander Miller <[email-masked]>
Date: Thu, 7 Mar 2019 07:18:51 +0100

> And do not preserve NORECORD?

They did.

 > Maybe magit should simply try to reuse the same temporary buffer
 > instead of recreating it excessively. Creating/killing temporary
 > buffers does not come without some overhead.

It didn't. IIRC a temp buffer was created 2 or 3 times every time
I would move point. The problem is that this *somehow* triggered a
feedback loop with treemacs and magit feeding off each other. I
haven't really understood what happened there as that would require
some very deep digging inside magit's internals. There's a recipe for
emacs -q in the github issue if you want to see this for yourself.

 > I see. But please try 'window-selection-change-functions'
 > sooner or later so we know whether it fixes these problems.

Way ahead of you ;)
https://github.com/Alexander-Miller/treemacs/issues/321